## ros-noetic-mrpt-icp-slam-2d 0.1.11

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 3.1)
project(mrpt_icp_slam_2d)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.

#find catkin packages
find_package(catkin REQUIRED COMPONENTS
  roslib
  roscpp
  tf2
  tf2_ros
  tf2_geometry_msgs
  std_msgs
  nav_msgs
  sensor_msgs
  visualization_msgs
  dynamic_reconfigure
  roslaunch)

#find mrpt packages
find_package(mrpt-gui REQUIRED)
find_package(mrpt-slam REQUIRED)
find_package(mrpt-ros1bridge REQUIRED)

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

catkin_package(
	CATKIN_DEPENDS
	nav_msgs
	sensor_msgs
	std_msgs
	visualization_msgs
	tf2
	tf2_ros
	tf2_geometry_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)



add_executable(mrpt_icp_slam_2d
    src/mrpt_icp_slam_2d_wrapper.cpp
    src/mrpt_icp_slam_2d_app.cpp
)

TARGET_LINK_LIBRARIES(mrpt_icp_slam_2d
  mrpt::slam
  mrpt::gui
  mrpt::ros1bridge
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS mrpt_icp_slam_2d
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  tutorial
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
# Add testing for *.launch files
roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-noetic-mrpt-icp-slam-2d (0.1.11-1buster) buster; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Fix build with mrpt2
  * Fixed all 2D and 3D EKF wrappers to work with mrpt 2.x API
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.10-1buster) buster; urgency=high

  * fix build against current mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.9-1buster) buster; urgency=high

  * Fix build againt MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.8-1buster) buster; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.7-1buster) buster; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.6-1buster) buster; urgency=high

  * Fixed compilation with MRPT 1.5
  * Fixed indents
  * Fixed build with mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * fix build against mrpt 1.5 series
  * use consistent cmake conventions for c++14
  * all but mrpt_graphslam_2d compiling against mrpt2.0
  * porting to mrpt2
  * fix #28 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/28>, compiling all nodes using -std=c++14
  * CMake finds MRPT >=1.5 in branch master
  * mrpt_icp_slam_2d: comment to adding-variables
  * mrpt_icp_slam_2d: show in rviz and adding parameter to adjust rate in launch-files
    trajectory_update_rate: default 10 Hz
    trajectory_publish_rate: default 5 Hz
    [Reference] http://wiki.ros.org/hector_trajectory_server?distro=kinetic
  * mrpt_icp_slam_2d: adding trajectory.
    [Reference] http://wiki.ros.org/hector_trajectory_server?distro=kinetic
  * delete unused variable: curPDF.
  * Merge pull request #20 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/20> from Logrus/master
    Fixes and cleanups for config files
  * [mrpt_icp_slam_2d] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Fix build against latest dev mrpt 1.5.0
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Vladislav Tananaev, tyuownu

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.5-1buster) buster; urgency=high

  * Fix cmakelists typo
  * Contributors: Nikos Koukis

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.3-1buster) buster; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.2-1buster) buster; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * Output logs only in ROS.
  * Add a guard for new mrpt::ros1bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt::ros1bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Logrus, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.1-1buster) buster; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Logrus, Raphael Zack

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-mrpt-icp-slam-2d
Section: misc
Priority: optional
Maintainer: Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslib, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: http://ros.org/wiki/mrpt_icp_slam_2d
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-icp-slam-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-mrpt-rawlog, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslib, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: mrpt_icp_slam_2d contains a wrapper on MRPT's 2D ICP-SLAM algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt-icp-slam-2d//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-mrpt-icp-slam-2d 0.1.15

=== debian/changelog ===
ros-noetic-mrpt-icp-slam-2d (0.1.15-1focal) focal; urgency=high

  * Fix build errors and warnings with latest mrpt2 versions
    (Closes: #71 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/71>)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.14-1focal) focal; urgency=high

  * fix mvsim param: should not publish fake loc
  * fixes for the new mvsim-based demo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 11 Apr 2023 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.11-1focal) focal; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Fix build with mrpt2
  * Fixed all 2D and 3D EKF wrappers to work with mrpt 2.x API
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.10-1focal) focal; urgency=high

  * fix build against current mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.9-1focal) focal; urgency=high

  * Fix build againt MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.8-1focal) focal; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.7-1focal) focal; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.6-1focal) focal; urgency=high

  * Fixed compilation with MRPT 1.5
  * Fixed indents
  * Fixed build with mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * fix build against mrpt 1.5 series
  * use consistent cmake conventions for c++14
  * all but mrpt_graphslam_2d compiling against mrpt2.0
  * porting to mrpt2
  * fix #28 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/28>, compiling all nodes using -std=c++14
  * CMake finds MRPT >=1.5 in branch master
  * mrpt_icp_slam_2d: comment to adding-variables
  * mrpt_icp_slam_2d: show in rviz and adding parameter to adjust rate in launch-files
    trajectory_update_rate: default 10 Hz
    trajectory_publish_rate: default 5 Hz
    [Reference] http://wiki.ros.org/hector_trajectory_server?distro=kinetic
  * mrpt_icp_slam_2d: adding trajectory.
    [Reference] http://wiki.ros.org/hector_trajectory_server?distro=kinetic
  * delete unused variable: curPDF.
  * Merge pull request #20 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/20> from Logrus/master
    Fixes and cleanups for config files
  * [mrpt_icp_slam_2d] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Fix build against latest dev mrpt 1.5.0
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Vladislav Tananaev, tyuownu

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.5-1focal) focal; urgency=high

  * Fix cmakelists typo
  * Contributors: Nikos Koukis

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.3-1focal) focal; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.2-1focal) focal; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * Output logs only in ROS.
  * Add a guard for new mrpt::ros1bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt::ros1bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Logrus, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-icp-slam-2d (0.1.1-1focal) focal; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Logrus, Raphael Zack

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000
